import { Launch } from '@assist/components/dashboard/Launch'
import { QuickLinks } from '@assist/components/dashboard/QuickLinks'
import { Recommendations } from '@assist/components/dashboard/Recommendations'
import { SupportArticles } from '@assist/components/dashboard/SupportArticles'
import { TasksList } from '@assist/components/dashboard/TasksList'
import { Tours } from '@assist/components/dashboard/Tours'
import { Full } from './layouts/Full'

export const Dashboard = () => {
    return (
        <Full>
            <div className="grid grid-cols-1 lg:grid-cols-2 gap-6 items-start my-4">
                <LaunchOrTasks />
                <SupportArticles />
                <Tours />
                <Recommendations />
                <QuickLinks />
            </div>
        </Full>
    )
}

const LaunchOrTasks = () => {
    const { currentTheme, launchCompleted } = window.extAssistData
    if (currentTheme === 'Extendable' && !launchCompleted) {
        return <Launch />
    }
    if (currentTheme === 'Extendable') {
        return <TasksList />
    }
    return null
}
